ranges-add.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Iter::Ranges::AddRange< I >
| Range iterator for adding a single range to a range iterator. More...
class | Gecode::Iter::Ranges::SubRange< I >
| Range iterator for subtracting a single range from a range iterator. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Iter
| Range and value iterators.
namespace | Gecode::Iter::Ranges
| Range iterators.